Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 223746 - Review Request: epiphany-extensions-epilicious
Summary: Review Request: epiphany-extensions-epilicious
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Gordon
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-22 04:09 UTC by Sindre Pedersen Bjørdal
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-03 01:57:01 UTC


Attachments (Terms of Use)

Description Sindre Pedersen Bjørdal 2007-01-22 04:09:58 UTC
Spec URL: http://folk.ntnu.no/sindrb/packages/epiphany-extensions-epilicious.spec
SRPM URL: http://folk.ntnu.no/sindrb/packages/epiphany-extensions-epilicious-0.10.2-1.fc6.src.rpm

Description: 

Epilicious is an extension for the Epiphany web browser that lets you 
synchronise Epiphany and Delicious bookmarks.

Package builds in mock. 

rpmlint output: 
E: epiphany-extensions-epilicious only-non-binary-in-usr-lib

This package places files, including files that really should be in /usr/share, into the epiphany extention dir, which is in /usr/lib/epiphany/extensions/. The epiphany-extensions package itself does put data files in /usr/share, but I haven't been able to make this extension work doing that. Ignoring this rpmlint message is therefor the only solution I've been able to find. Suggestions are very welcome.

Comment 1 Sindre Pedersen Bjørdal 2007-01-22 04:11:38 UTC
Upstream tarball is not including a copy of the GPL, don't know if this is a
blocker or not. I have contacted upstream trying to change this. README refers
to an online copy of the GPL.

Comment 2 Peter Gordon 2007-03-03 01:57:01 UTC
Hi, Sindre.

The epiplicious extension is included as part of the upstream
epiphany-extensions package version 2.17.92 (which I will push to the build
system in a couple of hours after my mock-build testing succeeds). 

Therefore, I'm going to close this bug as UPSTREAM. Thanks for your efforts in
getting this packaged though! :)


Note You need to log in before you can comment on or make changes to this bug.